List matching assets
curl --request GET \
--url https://api-v2.tryadvocate.com/rest/assets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-v2.tryadvocate.com/rest/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.tryadvocate.com/rest/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"caseId": "<string>",
"displayName": "<string>",
"assetType": "<string>",
"documents": [
"<string>"
],
"fields": [
{
"fieldType": "<string>",
"value": {},
"key": "<string>",
"label": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"meta": {
"limit": 123,
"offset": 123,
"total": 123
}
}Assets
List matching assets
GET
/
rest
/
assets
List matching assets
Authorizations
Service account token (live_ or test_ prefix)
Query Parameters
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I